Tokenize on Response Using Preset Profiles

E-commerce sites send a "Reservation with card data" request to a predefined and set third party (the integration will be done by PCI Booking).
Once the e-commerce site initializes the request, the third party will send a response, with the card data.
The e-commerce site will receive the card URI that was saved in the database.
We recommend that you first review the guide for this method.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Once the response from the third party is received in PCI Booking. the card details will be extracted from the message body and tokenized, the card details in the message will be masked and the token URI will be added to the response header (the header field will be X-pciBooking-cardUri).

📘

Access Token Vs. Session Token

Between the two options of using the Access Token or the Session Token, we would recommend using the Access Token.

📘

Multiple Authentication Methods allowed

This method accepts multiple forms of authentication methods (Session Token and Access Token). If more than one authentication method is provided, the Session Token will take precedence.

📘

CVV Retention Policy

Remember to set the CVV Retention Policy for this token.

Path Params
string
required

The name of the profile as returned from the Get Tokenization Profiles method

Query Params
string

Optional authentication method. Please use either the Session Token or the Access Token. The session token is the value returned by the call to the "Start a Temporary Session" method.

string

Optional authentication method. Please use either the Session Token or the Access Token. The Access Token is generated as a result of running the "Generate Access Token" code sample.

string

A reference value which then can be used to query for this card token.

string

The Property's Username (user ID), found within PCI Booking (under "Property settings"), which has been given permission to view the card. Please note: The owner (Booker) has permission to view the card.

boolean
Defaults to false

Will be used to determine whether to save the CVV in the database. true - save the CVV. false - do not save the CVV.

string

In some instances, the target URL of the provider will include dynamic values added to the URL. For example: https://ws.mydomain.com/{customerName}. If this is the case, the object returned in the Get Tokenization Profiles method will include a list of items in the PathSegmentNames parameter. Additionally, the description parameter returned in the Get Tokenization Profiles method will include the full URL path of the target for your reference. When submitting the request to perform the tokenization, you will need to provide the value of these dynamic values in this field by listing [nameOfField]=[ValueOfField].

If multiple dynamic values are required, separate them with '&'.

The value of field should be URL encoded.

string

In some instances, the target URL of the provider will include query string parameters that should be appended to the end of the URL. For example: https://ws.mydomain.com?param1=value1&param2=value2. If the provider requires query string parameters, you will provide the list of query string (including the names and values of each key) in this parameter.

Each key-value pair of the query string should be url-encoded first, then the entire query string should be url-encoded and set as the value of this parameter.

boolean
Defaults to false

Indicates whether the PCI Booking system should look up this card details in cards previously stored and return the token of the existing card (if found) or always return a new token.
Possible values are True: look up new card in existing cards and False: always create new tokens.
If this parameter is not specified in the request, the default behavior of the system would be to create a new token for each tokenized card - regardless if it is already stored in PCI Booking.

Headers
string
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json